# TODO:
# - split library into subpackage?
#
%define	module	binwalk
Summary:	Binary image analyze tool
Name:		binwalk
Version:	2.1.1
Release:	4
License:	MIT
Group:		Development
Source0:	https://github.com/devttys0/binwalk/archive/v%{version}.tar.gz
# Source0-md5:	e5015a8d0eff287eda8c4afeeca89ed6
URL:		https://github.com/devttys0/binwalk
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Binwalk is a tool for searching a given binary image for embedded
files and executable code. Specifically, it is designed for
identifying files and code embedded inside of firmware images. Binwalk
uses the libmagic library, so it is compatible with magic signatures
created for the Unix file utility.

Binwalk also includes a custom magic signature file which contains
improved signatures for files that are commonly found in firmware
images such as compressed/archived files, firmware headers, Linux
kernels, bootloaders, filesystems, etc.

%prep
%setup -q

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc API.md README.md
%attr(755,root,root) %{_bindir}/binwalk
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info

%changelog
* Sun Jul 01 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/binwalk.git;a=log;h=master

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> d615a90
- release 4 (by relup.sh)

* Sun Nov 12 2017 Elan Ruusamäe <glen@pld-linux.org> 060b59c
- adapter

* Sun Nov 12 2017 Adam Osuchowski <adwol@pld-linux.org> 0883814
- add "BuildArch: noarch"
- rel up

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 1064d39
- python 3.6
- release 2 (by relup.sh)

* Fri Apr 22 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 789bf74
- up to 2.1.1

* Sat Aug 27 2011 Tomasz Pala <gotar@pld-linux.org> 17e8446
- initial PLD release

